#!/usr/bin/env node

const Builder = require('../lib/Builder');

let testsPath = process.argv[2] || '';
const outReportPath = process.argv[3] || 'build/server-tests.xml';

if (testsPath) {
  if (testsPath.includes(',')) {
    testsPath = testsPath.split(',').map(s => s.trim());
  }
  new Builder().runServerTests(testsPath, outReportPath)
    .then(() => process.exit(0))
    .catch(() => process.exit(1));
} else {
  console.error('Path to server testes was not informed');
  process.exit(1);
}
