# Dicionários utilizados

## pt_BR-without-accents.dic

Used to ignore portuguese identifiers in Bematech ERP JavaScript code. When maintaining the 
dictionary always sort and convert the words to lower case.

## bematech-erp

Dictionary manually built with particular terms used in Bematech ERP system and common identifier 
names.
 
## bematech-erp-tables-and-fields.dic

Dictionary built using the script bellow:

```js
var tables = classes.getCachedDataSet(-1898144802 /* System Tables */);
var identifiers = {};
for (tables.first(); !tables.eof; tables.next()) {
    var tableName = tables.icode;
    identifiers[tableName.toLowerCase()] = true;
    var ds = dbCache.getTable(tableName);
    for (var i = 0; i < ds.fieldCount; ++i) {
        identifiers[ds.getFieldName(i).toLowerCase()] = true;
    }
};

var ar = [];
for (var name in identifiers) {
    ar.push(name);
}
ar.sort();

File.fileFromString('bematech-erp-tables-and-fields.dic', ar.join('\n'));
```
